Page MenuHomePhabricator

Epic: ⚡️ Partial blocks
Open, MediumPublic

Description

Full site blocks are like a sledgehammer, how can we build flyswatters to address misconduct that is not egregious enough for a full site block?

Potential future work — all unprioritized — is captured in T204903: Epic ⚡️ unprioritized Partial Blocks features

Related Objects

StatusSubtypeAssignedTask
OpenNone
Resolved TBolliger
DeclinedNone
Resolved TBolliger
Resolveddmaza
Resolveddbarratt
DuplicateNone
DuplicateNone
Resolveddmaza
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddmaza
Resolveddbarratt
Resolveddbarratt
Resolved TBolliger
Resolved TBolliger
Resolveddmaza
ResolvedTchanders
ResolvedNone
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
DuplicateNone
ResolvedTchanders
ResolvedTchanders
DeclinedNone
DeclinedNone
Resolvedaezell
ResolvedNiharika
Resolveddbarratt
Resolved TBolliger
Resolveddbarratt
Resolved TBolliger
ResolvedMooeypoo
ResolvedMooeypoo
Resolved TBolliger
Resolveddbarratt
ResolvedTchanders
Resolved TBolliger
Resolveddbarratt
Resolveddmaza
InvalidNone
DuplicateNone
DeclinedNone
Resolved TBolliger
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
DeclinedNone
Resolved TBolliger
Resolveddmaza
ResolvedTchanders
Resolved TBolliger
Resolved TBolliger
Resolvednettrom_WMF
Resolvednettrom_WMF
OpenNone
ResolvedMooeypoo
ResolvedTchanders
ResolvedMooeypoo
Resolveddbarratt
Resolveddmaza
ResolvedTchanders
OpenPrtksxna
ResolvedTchanders
Resolveddom_walden
ResolvedTchanders
ResolvedNiharika
Resolveddbarratt
ResolvedNone
Resolveddbarratt
ResolvedTchanders
ResolvedJan 16 2019dbarratt
Resolveddmaza
ResolvedTchanders
Resolveddmaza
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedMajavah
Resolvedrevi
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedDannyS712
ResolvedBUG REPORTNone
ResolvedTchanders
DuplicateBUG REPORTNone
ResolvedDannyS712

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

I collated the wikis from the 88 voters on the 2017 Community Wishlist Survey proposal for partial blocks to see which wikis were most represented from the voters. I only counted wikis where the user had 1,000+ edits (not including wikidata.)

Wiki(s)Number of users
en41
de17
meta15
it7
pl, mediawiki6
simple5
ru, es4
zh3
pt, it.wikisource, hu2

zh.wikivoyage, uk, ua.mediawiki, tr.wikiquote, tr, species, ro, or, nl, ka, ja, incubator, hu.wikibooks, he, fr, fi.wikisource, fi.wikiquote, fi, en.wikivoyage, en.wikibooks, ca.wikiquote, ca, bn, bg, bar, arz, ar.wikiversity, ar.wikitonary, ar.wikisource, ar.wikiquote, ar.wikinews, ar.wikibooks, ar were each represented by 1 user.

Keeping in mind that I have little intuition of how this would actually be implemented, or even what would be desirable from either a technical or a community perspective, it seems that a reasonable angle of attack would be to allow blocking a user from exercising a given userright(s), at least for handling the "Actions" component of this functionality, otherwise it seems likely that we'll just keep ending up back here with additional desired blockable actions.

TBolliger triaged this task as Medium priority.Jan 30 2019, 11:07 PM
MJL awarded a token.Aug 28 2019, 6:24 PM
Monniasza added a comment.EditedApr 13 2020, 10:12 AM

This comment is created based on a duplicate task

This feature should be extended to block or unblock editing of or doing:

  • All content and talk pages
  • All content pages at once
  • All talk pages at once
  • All pages in some namespace
  • User's own pages
  • Other users' pages
  • All pages belonging to a specific user
  • Mentioning all users
  • Mentioning specific users

The commands will be executed in order of placement.
So Block A* and then Unblock AA will allow AA but not AB

Examples:

Block namespace: Talk
Unblock pages: Talk:AAA

The user can edit articles, but only editble talk page is Talk:AAA

Block namespace: Talk
Unblock pages: Talk:AA*

The user can edit articles, but talk pages must start with "AA" to be editable

Block content pages
Unblock page: Wikipedia:Village pump*
Unblock page: Help desk
Unblock page: * noticeboard

The user can't edit content but can discuss it. Useful for users on probation for further unblocking.

Thanks for adding the tag, @Ammarpad.

Thanks for your note, @Monniasza. We are hoping to do some maintenance work on this project in the near term. I will update this ticket as needed.

Monniasza added a comment.EditedJun 13 2020, 7:41 AM

Here are more commands:

  • Pages not belonging to a category
  • Pages belonging to a category
  • Pages not belonging to a category and specific sublevels
  • Pages belonging to a category and specific sublevels
  • Specific pages
  • Page regex (most advanced filter available based only on the name)
  • Mention regex
  • Username regex

Here are more examples:

Block mentions of endangereduser
Block pages belonging to endagereduser
Block user pages containing regex: (jew|israel)
Block mentions containing regex: (jew|israel)
Block article content page containing regex: (jew|israel|antisemitism)

Possible block of an anti-Semitic user. User can still discuss articles, but can't mention or message users with names related to Jews.